Bug 45471 - Sorting of Rows in Calc does not sort contained objects
Summary: Sorting of Rows in Calc does not sort contained objects
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sorting
  Show dependency treegraph
 
Reported: 2012-01-31 16:23 UTC by John Werner
Modified: 2020-06-08 03:45 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
A spreadsheet that can be used to test that sorting fails for objects. (10.06 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-01-31 16:23 UTC, John Werner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Werner 2012-01-31 16:23:08 UTC
Created attachment 56419 [details]
A spreadsheet that can be used to test that sorting fails for objects.

Given a spreadsheet with objects (drawings or pictures) inserted into cells, sorting of rows does not move the objects.

To illustrate this, I have attached a very small spreadsheet.  The first column contains numbers in a random order.  The second column contains different drawn elements (objects).  The third column contains letters.


Example:

1  <squiggle> A
4  <circle>   B
3  <line>     C
2  <rect>     D


If the rows are selected then sorted on the first column, the first and third columns are re-arranged, but the 2nd column stays the same.

Example:

1  <squiggle> A
2  <circle>   D
3  <line>     C
4  <rect>     B
Comment 1 wope 2012-03-04 10:23:00 UTC
I can confirm this also on 3.5.1rc1
Comment 2 dE 2012-08-28 14:44:31 UTC
Confirmed on 3.5.5.3, but not a major bug, not many users affected.
Comment 3 QA Administrators 2015-01-05 17:51:38 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-01-22 17:07:46 UTC
Reproduced.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 07e84cae983c08afdba03018413a19d01abb3006
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-19_06:15:38
Comment 5 QA Administrators 2016-02-21 08:35:50 UTC Comment hidden (obsolete)
Comment 6 Christoph Krapp 2016-05-17 11:27:12 UTC
this bug is still present in v5.1.2.2
would be nice if this gets fixed after 4 years, even if not many users are affected.
Comment 7 QA Administrators 2017-05-22 13:40:39 UTC Comment hidden (obsolete)
Comment 8 Thomas Lendo 2017-06-06 22:17:17 UTC
Reproduced with Version: 5.5.0.0.alpha0+
Build-ID: 200a566cf106fc724b99c373f16da0058163b28d
CPU-Threads: 4; Betriebssystem:Linux 4.8; UI-Render: Standard; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-06-05_23:01:35
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group
Comment 9 QA Administrators 2018-06-08 02:47:26 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2020-06-08 03:45:56 UTC
Dear John Werner,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug